def primer_max_loc(a):
    '''
    El resultado es el valor del primer máximo local de a, si existe, 
    en otro caso es None.

    >>> primer_max_loc([1,2,3])
    >>> primer_max_loc([0,1,6,0,3,1,5])
    6
    '''
    for i in range(1,len(a) - 1):
       if a[i-1] < a[i] and a[i+1] < a[i]: return a[i] 
    return None


def pos_primer_max_loc(a):
    '''
    El resultado es la posición del primer máximo local de a, si existe, 
    en otro caso es None.
    >>> pos_primer_max_loc([1,2,3])
    >>> pos_primer_max_loc([0,1,3,0,3,1,5])
    2
    '''
    for i in range(1,len(a) - 1):
       if a[i-1] < a[i] and a[i+1] < a[i]: return i 
    return None


def cuenta_max_loc(a):
    '''
    El resultado es el número de máximos locales de a.
    >>> cuenta_max_loc([1,2,3])
    0
    >>> cuenta_max_loc([0,1,3,0,3,1,5])
    2
    '''
    cont = 0
    for i in range(1,len(a) - 1):
       if a[i-1] < a[i] and a[i+1] < a[i]: cont += 1 
    return cont




if __name__ == '__main__':
   import doctest
   doctest.testmod()
